Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGFEConvolveMatrixElement

All Superinterfaces:
  Element, Node, SVGElement, SVGFilterPrimitiveStandardAttributes, SVGStylable

public interface SVGFEConvolveMatrixElement
extends SVGElement, SVGFilterPrimitiveStandardAttributes

Field Summary
`static short` | `SVG_EDGEMODE_DUPLICATE`
`static short` | `SVG_EDGEMODE_NONE`
`static short` | `SVG_EDGEMODE_UNKNOWN`
`static short` | `SVG_EDGEMODE_WRAP`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` | `getBias()`
`SVGAnimatedNumber` | `getDivisor()`
`SVGAnimatedEnumeration` | `getEdgeMode()`
`SVGAnimatedNumberList` | `getKernelMatrix()`
`SVGAnimatedNumber` | `getKernelUnitLengthX()`
`SVGAnimatedNumber` | `getKernelUnitLengthY()`
`SVGAnimatedInteger` | `getOrderX()`
`SVGAnimatedInteger` | `getOrderY()`
`SVGAnimatedBoolean` | `getPreserveAlpha()`
`SVGAnimatedInteger` | `getTargetX()`
`SVGAnimatedInteger` | `getTargetY()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.svg.SVGFilterPrimitiveStandardAttributes
`getHeight, getResult, getWidth, getX, getY`

Methods inherited from interface org.w3c.dom.svg.SVGStylable
`getClassName, getPresentationAttribute, getStyle`

Field Detail

### SVG_EDGEMODE_UNKNOWN

    public static final short SVG_EDGEMODE_UNKNOWN

### SVG_EDGEMODE_DUPLICATE

    public static final short SVG_EDGEMODE_DUPLICATE

### SVG_EDGEMODE_WRAP

    public static final short SVG_EDGEMODE_WRAP

### SVG_EDGEMODE_NONE

    public static final short SVG_EDGEMODE_NONE

Method Detail

### getOrderX

    public SVGAnimatedInteger getOrderX()

### getOrderY

    public SVGAnimatedInteger getOrderY()

### getKernelMatrix

    public SVGAnimatedNumberList getKernelMatrix()

### getDivisor

    public SVGAnimatedNumber getDivisor()

### getBias

    public SVGAnimatedNumber getBias()

### getTargetX

    public SVGAnimatedInteger getTargetX()

### getTargetY

    public SVGAnimatedInteger getTargetY()

### getEdgeMode

    public SVGAnimatedEnumeration getEdgeMode()

### getKernelUnitLengthX

    public SVGAnimatedNumber getKernelUnitLengthX()

### getKernelUnitLengthY

    public SVGAnimatedNumber getKernelUnitLengthY()

### getPreserveAlpha

    public SVGAnimatedBoolean getPreserveAlpha()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD